Package com.stardog.stark.io

# Class DelegatingRDFHandler

java.lang.Object
com.stardog.stark.io.DelegatingRDFHandler

All Implemented Interfaces:
  `RDFHandler`

public class DelegatingRDFHandler extends Object implements RDFHandler

Since:
  7.1
Author:
  Pavel Klinov

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final RDFHandler`
  `mDelegate`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DelegatingRDFHandler(RDFHandler theDelegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `end()`
  Notification that processing has finished
  `void`
  `handle(Statement theStmt)`
  Event for when a statement was encountered
  `void`
  `namespace(String thePrefix, String theIRI)`
  Event for when a namespace was encountered
  `void`
  `start()`
  Notification that the processing has started

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mDelegate

    protected final RDFHandler mDelegate

- ## Constructor Details

  - ### DelegatingRDFHandler

    public DelegatingRDFHandler(RDFHandler theDelegate)

- ## Method Details

  - ### start

    public void start()
    Description copied from interface: `RDFHandler`
    Notification that the processing has started
    Specified by:
      `start` in interface `RDFHandler`

  - ### namespace

    public void namespace(@Nonnull String thePrefix, @Nonnull String theIRI)
    Description copied from interface: `RDFHandler`
    Event for when a namespace was encountered
    Specified by:
      `namespace` in interface `RDFHandler`
    Parameters:
      `thePrefix` - the namespace prefix
      `theIRI` - the associated IRI

  - ### handle

    public void handle(@Nonnull Statement theStmt)
    Description copied from interface: `RDFHandler`
    Event for when a statement was encountered
    Specified by:
      `handle` in interface `RDFHandler`
    Parameters:
      `theStmt` - the statement

  - ### end

    public void end()
    Description copied from interface: `RDFHandler`
    Notification that processing has finished
    Specified by:
      `end` in interface `RDFHandler`